=== src/libkcardgame/CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,13 @@
     PUBLIC
         KF5::ConfigWidgets
         KF5::ConfigGui
-        Qt5::Widgets
+        Qt${QT_MAJOR_VERSION}::Widgets
     PRIVATE
         KF5::Completion
         KF5::GuiAddons
-        KF5::NewStuff
+        KF5::NewStuffWidgets
         KF5::I18n
-        Qt5::Svg
+        Qt${QT_MAJOR_VERSION}::Svg
 )
 
 install(TARGETS kcardgame ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
