=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -21,7 +22,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5newstuff-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
@@ -33,16 +34,16 @@
                shared-mime-info,
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
 Rules-Requires-Root: no
 
 Package: kpat
 Architecture: any
-Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
+Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
 Description: solitaire card games
  KPatience is a collection of fourteen solitaire card games, including Klondike,
  Spider, and FreeCell.
