=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 set(WITH_FCS_SOFT_SUSPEND ${fcs_soft_suspend})
 configure_file(patsolve-config.h.in patsolve-config.h)
+
+if (WITH_BH_SOLVER)
+  set(GOLFSOLVER_SOURCE "patsolve/golfsolver.cpp")
+endif()
 
 set(kpat_SRCS ${libfcs_SRCS}
     main.cpp
@@ -37,7 +41,7 @@
     freecell.cpp 
     patsolve/freecellsolver.cpp
     golf.cpp
-    patsolve/golfsolver.cpp
+    ${GOLFSOLVER_SOURCE}
     grandf.cpp
     patsolve/grandfsolver.cpp
     gypsy.cpp
@@ -51,7 +55,7 @@
     simon.cpp
     patsolve/simonsolver.cpp
     spider.cpp
-    patsolve/spidersolver.cpp
+    patsolve/spidersolver2.cpp
     yukon.cpp
     patsolve/yukonsolver.cpp
     kpat.qrc
@@ -73,15 +77,20 @@
 
 add_executable(kpat ${kpat_SRCS})
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kpat KDEGames6)
+else()
+    target_link_libraries(kpat KF5KDEGames)
+endif()
+
 target_link_libraries(kpat
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::I18n
-    KF5::KIOCore
-    KF5::GuiAddons
-    KF5::Completion
-    KF5::XmlGui
-    KF5KDEGames
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::KIOCore
+    KF${KF_MAJOR_VERSION}::GuiAddons
+    KF${KF_MAJOR_VERSION}::Completion
+    KF${KF_MAJOR_VERSION}::XmlGui
     kcardgame
     ${FC_SOLVE_LDFLAGS}
     ${BLACK_HOLE_SOLVER_LDFLAGS}
