## kpat 24.12.0

=== debian/changelog ===
kpat (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:17 +0000

kpat (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:08 +0000

kpat (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 11:57:35 +0000

kpat (4:24.08.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:49:30 +0000

kpat (4:24.08.3-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2). 

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * kf6ify debian/rules.
  * Update dependencies according to cmake.
  * Refresh copyright.
  * Bump standards version 4.7.0; no changes required.
  * Add buginfo to metadata.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.3).
  * Fix dependency on kdegames-card-data.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Nov 2024 12:00:00 +0100
