## kpat 24.12.1

=== debian/changelog ===
kpat (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:05:43 +0100

kpat (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 22:10:52 +0100

kpat (4:24.08.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix dependency on kdegames-card-data for real…

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Nov 2024 21:29:38 +0100
