=== debian/changelog ===
kpat (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 16:04:13 +0000

kpat (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:06:23 +0100
