=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -14,6 +15,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libfreecell-solver-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -23,21 +25,20 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.05.2~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               qt6-svg-dev (>= 6.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                shared-mime-info,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
 Rules-Requires-Root: no
 
 Package: kpat
